# Appendix: Resource Indexes

This appendix list resources by envariables, resource file elements, and command-line options.

- Environment Variables
- Resource Elements
- Command-Line Options

## Environment Variables

Envariable |  | Description
`M2H_ADDRESSMODIFYCODE` |  | Perl expressions modifying displayed addresses in headers.
`M2H_AFS` |  | Skip archive directory permission check.
`M2H_ANNOTATE` |  | Add/set annotation for message(s).
`M2H_ARCHIVE` |  | Create archive.
`M2H_ATTACHMENTDIR` |  | Filesytem location of attachments.
`M2H_ATTACHMENTURL` |  | Base URL to attachments.
`M2H_AUTHSORT` |  | Sort main index by author.
`M2H_CHECKNOARCHIVE` |  | Honor "no archive" flag in messages.
`M2H_CONLEN` |  | Use Content-Length value.
`M2H_DATEFIELDS` |  | List of fields to extract date of message.
`M2H_DBFILE` |  | Name of archive database file.
`M2H_DBFILEPERMS` |  | File permissions for DBFILE.
`M2H_DECODEHEADS` |  | Store "decode-only" characters sets in raw form.
`M2H_DEFRCFILE` |  | Pathname of default resource file.
`M2H_DEFRCNAME` |  | Name of default resource file.
`M2H_DOC` |  | Add link to documentation.
`M2H_DOCURL` |  | URL to documentation
`M2H_EXPIREAGE` |  | Length of time to keep a message in an archive.
`M2H_EXPIREDATE` |  | Expiration of date of message.
`M2H_FASTTEMPFILES` |  | Use non-random temporary filenames.
`M2H_FILEPERMS` |  | File permissions for archive files.
`M2H_FOLREFS` |  | Print links links to explicit follow-ups and references.
`M2H_FROMFIELDS` |  | List of fields to extract author of a message.
`M2H_GMTDATEFMT` |  | Conversion specification for GMT dates.
`M2H_GZIPEXE` |  | Pathname to gzip executable.
`M2H_GZIPFILES` |  | Gzip files.
`M2H_GZIPLINKS` |  | Assume files are gzipped when creating links.
`M2H_HTMLEXT` |  | Extension to use for HTML files.
`M2H_ICONURLPREFIX` |  | Prefix for icon URLs.
`M2H_IDXFNAME` |  | Filename for main (first) index page.
`M2H_IDXPREFIX` |  | Filename prefix for multi-page main index.
`M2H_IDXSIZE` |  | Size of each index page.
`M2H_LANG` |  | Set locale.
`M2H_LOCALDATEFMT` |  | Conversion specification for printing local date.
`M2H_LOCKDELAY` |  | Wait time between lock attempts.
`M2H_LOCKFILE` |  | Name of the lock file.
`M2H_LOCKMETHOD` |  | How archive locks are done.
`M2H_LOCKTRIES` |  | Total number of time to attempt a lock before failing.
`M2H_MAILTO` |  | Convert email addresses in message headers to hyperlinks.
`M2H_MAILTOURL` |  | URL template to use when MAILTO is set.
`M2H_MAIN` |  | Create main index.
`M2H_MAXSIZE` |  | Maximum number of messages in an archive.
`M2H_MHPATTERN` |  | Regex for matching message files in an MH folder (directory).
`M2H_MODIFYBODYADDRESSES` |  | Apply ADDRESSMODIFYCODE to text message bodies.
`M2H_MODTIME` |  | Set modification time on message files to message dates.
`M2H_MONTHS` |  | Month names.
`M2H_MONTHSABR` |  | Abbreviated month names.
`M2H_MSGEXCFILTER` |  | Perl expression(s) to selectively exclude messages.
`M2H_MSGGMTDATEFMT` |  | GMT conversion specification for message dates.
`M2H_MSGLOCALDATEFMT` |  | Local conversion specification for message dates.
`M2H_MSGPGS` |  | Print message pages.
`M2H_MSGPREFIX` |  | Prefix for message page filenames.
`M2H_MSGSEP` |  | Regex for matching message separator in mailbox files.
`M2H_MULTIPG` |  | Create multi-page indexes.
`M2H_NEWS` |  | Hyperlink newsgroups in message headers.
`M2H_NEWSURL` |  | URL template to use for newsgroup links.
`M2H_NOSUBJECTTXT` |  | Raw subject text to use for messages without a subject.
`M2H_NOTEDIR` |  | Directory to store annotations.
`M2H_OTHERINDEXES` |  | List of alternate indexes to create for an archive.
`M2H_OUTDIR` |  | Location of archive.
`M2H_PERLINC` |  | Additional Perl include paths.
`M2H_POSIXSTRFTIME` |  | Use POSIX's strftime() for converted time format strings.
`M2H_PRINTXCOMMENTS` |  | Print <!--X-...--> comments in generated pages.
`M2H_RCFILE` |  | Resource file to read before processing input.
`M2H_REVERSE` |  | Reverse the listing order in the main index.
`M2H_SAVERESOURCES` |  | Save resource values in database.
`M2H_SORT` |  | List messages by date in main index.
`M2H_SPAMMODE` |  | Perform actions to deter email address harvesters.
`M2H_SUBJECTARTICLERXP` |  | Regex for matching leading articles in message subjects.
`M2H_SUBJECTREPLYRXP` |  | Regex for matching subject text denoting a reply message.
`M2H_SUBJECTSTRIPCODE` |  | Perl expressions to strip subject text while reading messages.
`M2H_SUBJECTTHREADS` |  | Check subjects when computing message threads.
`M2H_SUBSORT` |  | List messages by subjext in main index.
`M2H_THREAD` |  | Create thread index.
`M2H_TIDXFNAME` |  | Filename of first thread index page.
`M2H_TIDXPREFIX` |  | Filename prefix for thread index pages beyond the first page.
`M2H_TITLE` |  | Title for main index.
`M2H_TLEVELS` |  | Maximum number of levels to indent in thread index.
`M2H_TREVERSE` |  | List thread in reverse order.
`M2H_TSLICE` |  | Size of thread listing slice for message pages.
`M2H_TSLICELEVELS` |  | Maximum number of levels to indent in thread slices.
`M2H_TSORT` |  | List threads by date.
`M2H_TSUBSORT` |  | List threads by subject.
`M2H_TTITLE` |  | Title of thread index.
`M2H_UMASK` |  | Umask value for the MHonArc process.
`M2H_USELOCALTIME` |  | Use local time to determine day groups in main index listing.
`M2H_USINGLASTPG` |  | $LASTPG$ is used in resource values.
`M2H_VARREGEX` |  | Perl regular expression matching a resource variable.
`M2H_WEEKDAYS` |  | Weekday names.
`M2H_WEEKDAYSABR` |  | Abbreviated weekday names.

## Resource Elements

Element |  | Description
`<ADDRESSMODIFYCODE>` |  | Perl expressions modifying displayed addresses in headers.
`<ATTACHMENTDIR>` |  | Filesytem location of attachments.
`<ATTACHMENTURL>` |  | Base URL to attachments.
`<AUTHORBEGIN>` |  | Markup at the start of a author group.
`<AUTHOREND>` |  | Markup at the end of a author group.
`<AUTHSORT>` `<NOAUTHSORT>` |  | Sort main index by author.
`<BOTLINKS>` |  | Links markup at the bottom of message pages.
`<CHARSETALIASES>` |  | Charater set aliases.
`<CHARSETCONVERTERS>` |  | Charater set filter functions.
`<CHECKNOARCHIVE>` `<NOCHECKNOARCHIVE>` |  | Honor "no archive" flag in messages.
`<CONLEN>` `<NOCONLEN>` |  | Use Content-Length value.
`<DATEFIELDS>` |  | List of fields to extract date of message.
`<DAYBEGIN>` |  | Markup at the start of a day group.
`<DAYEND>` |  | Markup at the end of a day group.
`<DBFILEPERMS>` |  | File permissions for DBFILE.
`<DECODEHEADS>` `<NODECODEHEADS>` |  | Store "decode-only" characters sets in raw form.
`<DEFCHARSET>` |  | Default character set for text data.
`<DEFINEDERIVED>` |  | Define extra file(s) to generate for each message page.
`<DEFINEVAR>` |  | Define a custom resource variable.
`<DOC>` `<NODOC>` |  | Add link to documentation.
`<DOCURL>` |  | URL to documentation
`<EXCS>` |  | List of header fields to exclude.
`<EXPIREAGE>` |  | Length of time to keep a message in an archive.
`<EXPIREDATE>` |  | Expiration of date of message.
`<FASTTEMPFILES>` `<NOFASTTEMPFILES>` |  | Use non-random temporary filenames.
`<FIELDORDER>` |  | Order to display message header fields.
`<FIELDSBEG>` |  | Beginning markup of message header.
`<FIELDSEND>` |  | Ending markup of message header.
`<FIELDSTORE>` |  | Message header fields to store in database.
`<FIELDSTYLES>` |  | Define HTML elements that wrap field text of message headers.
`<FILEPERMS>` |  | File permissions for archive files.
`<FIRSTPGLINK>` |  | Link markup for first page of main index.
`<FLDBEG>` |  | Markup before field text.
`<FLDEND>` |  | Markup after field text.
`<FOLREFS>` `<NOFOLREFS>` |  | Print links links to explicit follow-ups and references.
`<FOLUPBEGIN>` |  | Beginning markup of follow-up links in message pages.
`<FOLUPEND>` |  | Ending markup of follow-up links in message pages.
`<FOLUPLITXT>` |  | Markup for a follow-up link.
`<FROMFIELDS>` |  | List of fields to extract author of a message.
`<GMTDATEFMT>` |  | Conversion specification for GMT dates.
`<GZIPEXE>` |  | Pathname to gzip executable.
`<GZIPFILES>` `<NOGZIPFILES>` |  | Gzip files.
`<GZIPLINKS>` `<NOGZIPLINKS>` |  | Assume files are gzipped when creating links.
`<HEADBODYSEP>` |  | Markup separating the message head from the body.
`<HTMLEXT>` |  | Extension to use for HTML files.
`<ICONS>` |  | Content-type to icon mapping.
`<ICONURLPREFIX>` |  | Prefix for icon URLs.
`<IDXFNAME>` |  | Filename for main (first) index page.
`<IDXLABEL>` |  | Label for main index.
`<IDXPGBEGIN>` |  | Beginning markup for main index pages.
`<IDXPGEND>` |  | Ending markup for main index pages.
`<IDXPGSSMARKUP>` |  | Markup at the beginning of all index pages.
`<IDXPREFIX>` |  | Filename prefix for multi-page main index.
`<IDXSIZE>` |  | Size of each index page.
`<INCLUDE>` |  | Include a resource file.
`<LABELBEG>` |  | Beginning markup of the label text of a message field.
`<LABELEND>` |  | End markup of the label text of a message field.
`<LABELSTYLES>` |  | Define HTML elements to wrap message header field labels.
`<LANG>` |  | Set locale.
`<LASTTPGLINK>` |  | Link markup for last page of main index.
`<LISTBEGIN>` |  | Markup to begin main index message listing.
`<LISTEND>` |  | Markup to end main index message listing.
`<LITEMPLATE>` |  | Markup for an entry in the main index message list.
`<LOCALDATEFMT>` |  | Conversion specification for printing local date.
`<LOCKMETHOD>` |  | How archive locks are done.
`<MAILTO>` `<NOMAILTO>` |  | Convert email addresses in message headers to hyperlinks.
`<MAILTOURL>` |  | URL template to use when MAILTO is set.
`<MAIN>` `<NOMAIN>` |  | Create main index.
`<MAXSIZE>` |  | Maximum number of messages in an archive.
`<MHPATTERN>` |  | Regex for matching message files in an MH folder (directory).
`<MIMEALTPREFS>` |  | Content-type preferences for multipart/alternative data.
`<MIMEARGS>` |  | Arguments to MIME filters.
`<MIMEDECODERS>` |  | Content-Transfer-Encoding decoding functions.
`<MIMEEXCS>` |  | Content-types to exclude.
`<MIMEFILTERS>` |  | Mapping of MIME filters to content-types.
`<MIMEINCS>` |  | Content-types to allow.
`<MODIFYBODYADDRESSES>` `<NOMODIFYBODYADDRESSES>` |  | Apply ADDRESSMODIFYCODE to text message bodies.
`<MODTIME>` |  | Set modification time on message files to message dates.
`<MONTHS>` |  | Month names.
`<MONTHSABR>` |  | Abbreviated month names.
`<MSGBODYEND>` |  | Markup after the message body.
`<MSGEXCFILTER>` |  | Perl expression(s) to selectively exclude messages.
`<MSGFOOT>` |  | Markup at the foot of each message page.
`<MSGGMTDATEFMT>` |  | GMT conversion specification for message dates.
`<MSGHEAD>` |  | Markup at the head of each message page.
`<MSGIDLINK>` |  | Hyperlink markup for embedded message-ids in message pages.
`<MSGLOCALDATEFMT>` |  | Local conversion specification for message dates.
`<MSGPGBEGIN>` |  | Starting markup for each message page.
`<MSGPGEND>` |  | Ending markup for each message page.
`<MSGPGS>` `<NOMSGPGS>` |  | Print message pages.
`<MSGPGSSMARKUP>` |  | Markup at the beginning of all message pages.
`<MSGPREFIX>` |  | Prefix for message page filenames.
`<MSGSEP>` |  | Regex for matching message separator in mailbox files.
`<MULTIPG>` |  | Create multi-page indexes.
`<NEWS>` `<NONEWS>` |  | Hyperlink newsgroups in message headers.
`<NEWSURL>` |  | URL template to use for newsgroup links.
`<NEXTBUTTON>` |  | Button markup for next message by main index.
`<NEXTBUTTONIA>` |  | Inactive button markup for next message by main index.
`<NEXTLINK>` |  | Link markup for next message by main index.
`<NEXTLINKIA>` |  | Inactive link markup for next message by main index.
`<NEXTPGLINK>` |  | Link markup for next page of main index.
`<NEXTPGLINKIA>` |  | Inactive link markup for next page of main index.
`<NOSUBJECTTXT>` |  | Raw subject text to use for messages without a subject.
`<NOTE>` |  | Markup for representing the annotation of a message.
`<NOTEDIR>` |  | Directory to store annotations.
`<NOTEIA>` |  | Markup when no annotation is available for a message.
`<OTHERINDEXES>` |  | List of alternate indexes to create for an archive.
`<PERLINC>` |  | Additional Perl include paths.
`<POSIXSTRFTIME>` |  | Use POSIX's strftime() for converted time format strings.
`<PREVBUTTON>` |  | Button markup for previous message by main index.
`<PREVBUTTONIA>` |  | Inactive button markup for previous message by main index.
`<PREVLINK>` |  | Link markup for previous message by main index.
`<PREVLINKIA>` |  | Inactive link markup for previous message by main index.
`<PREVPGLINK>` |  | Link markup for previous page of main index.
`<PREVPGLINKIA>` |  | Inactive link markup for previous page of main index.
`<PRINTXCOMMENTS>` `<NOPRINTXCOMMENTS>` |  | Print <!--X-...--> comments in generated pages.
`<REFSBEGIN>` |  | Beginning markup for explicit reference links in message pages.
`<REFSEND>` |  | Ending markup for explicit reference links in message pages.
`<REFSLITXT>` |  | Markup representing a reference entry in explicit reference links.
`<REVERSE>` `<NOREVERSE>` |  | Reverse the listing order in the main index.
`<SAVERESOURCES>` `<NOSAVERESOURCES>` |  | Save resource values in database.
`<SORT>` `<NOSORT>` |  | List messages by date in main index.
`<SPAMMODE>` `<NOSPAMMODE>` |  | Perform actions to deter email address harvesters.
`<SSMARKUP>` |  | Default markup at the beginning of all generated pages.
`<SUBJECTARTICLERXP>` |  | Regex for matching leading articles in message subjects.
`<SUBJECTBEGIN>` |  | Beginning markup for a subject group in the main index.
`<SUBJECTEND>` |  | Ending markup for a subject group in the main index.
`<SUBJECTHEADER>` |  | Main subject line markup above message header.
`<SUBJECTREPLYRXP>` |  | Regex for matching subject text denoting a reply message.
`<SUBJECTSTRIPCODE>` |  | Perl expressions to strip subject text while reading messages.
`<SUBJECTTHREADS>` `<NOSUBJECTTHREADS>` |  | Check subjects when computing message threads.
`<SUBSORT>` `<NOSUBSORT>` |  | List messages by subjext in main index.
`<TCONTBEGIN>` |  | Markup before the continuation of a broken thread.
`<TCONTEND>` |  | Markup after the continuation of a broken thread.
`<TENDBUTTON>` |  | Button markup for last message in thread.
`<TENDBUTTONIA>` |  | Inactive button markup for last message in thread.
`<TENDLINK>` |  | Link markup for last message in thread.
`<TENDLINKIA>` |  | Inactive link markup for last message in thread.
`<TEXTCLIPFUNC>` |  | Perl function to use for text clipping operations.
`<TEXTENCODE>` |  | Encode message text to given character encoding.
`<TFIRSTPGLINK>` |  | Link markup for first page of thread index.
`<TFOOT>` |  | Footer markup for thread index page.
`<THEAD>` |  | Header markup for thread index page.
`<THREAD>` `<NOTHREAD>` |  | Create thread index.
`<TIDXFNAME>` |  | Filename of first thread index page.
`<TIDXLABEL>` |  | Label string for the thread index.
`<TIDXPGBEGIN>` |  | Beginning markup for the thread index pages.
`<TIDXPGEND>` |  | Ending markup for the thread index pages.
`<TIDXPGSSMARKUP>` |  | Markup at the beginning of all thread index pages.
`<TIDXPREFIX>` |  | Filename prefix for thread index pages beyond the first page.
`<TIMEZONES>` |  | Hour offsets for timezones.
`<TINDENTBEGIN>` |  | Markup for opening a level when continuing a broken thread.
`<TINDENTEND>` |  | Markup for closing a level when continuing a broken thread.
`<TITLE>` |  | Title for main index.
`<TLASTTPGLINK>` |  | Link markup for last page of thread index.
`<TLEVELS>` |  | Maximum number of levels to indent in thread index.
`<TLIEND>` |  | Ending markup for a thread index message listing.
`<TLINONE>` |  | Markup for a missing message in thread index.
`<TLINONEEND>` |  | Ending markup for a missing message in thread index.
`<TLITXT>` |  | Markup for a thread index message listing.
`<TNEXTBUTTON>` |  | Button markup for next message by thread.
`<TNEXTBUTTONIA>` |  | Inactive button markup for next message by thread.
`<TNEXTINBUTTON>` |  | Button markup for next message within a thread.
`<TNEXTINBUTTONIA>` |  | Inactive button markup for next message within a thread.
`<TNEXTINLINK>` |  | Link markup for next message within a thread.
`<TNEXTINLINKIA>` |  | Inactive link markup for next message within a thread.
`<TNEXTLINK>` |  | Link markup for next message by thread.
`<TNEXTLINKIA>` |  | Inactive link markup for next message by thread.
`<TNEXTPGLINK>` |  | Link markup for next page in thread index.
`<TNEXTPGLINKIA>` |  | Inactive link markup for next page in thread index.
`<TNEXTTOPBUTTON>` |  | Button markup for first message in the next thread.
`<TNEXTTOPBUTTONIA>` |  | Inactive button markup for first message in the next thread.
`<TNEXTTOPLINK>` |  | Link markup for first message in the next thread.
`<TNEXTTOPLINKIA>` |  | Inactive link markup for first message in the next thread.
`<TOPLINKS>` |  | Markup for top navigational links of a message page.
`<TPREVBUTTON>` |  | Button markup for previous message by thread.
`<TPREVBUTTONIA>` |  | Inactive button markup for previous message by thread.
`<TPREVINBUTTON>` |  | Button markup for previous message within a thread.
`<TPREVINBUTTONIA>` |  | Inactive button markup for previous message within a thread.
`<TPREVINLINK>` |  | Link markup for previous message within a thread.
`<TPREVINLINKIA>` |  | Inactive link markup for previous message within a thread.
`<TPREVLINK>` |  | Link markup for previous message by thread.
`<TPREVLINKIA>` |  | Inactive link markup for previous message by thread.
`<TPREVPGLINK>` |  | Link markup for previous page in thread index.
`<TPREVPGLINKIA>` |  | Inactive link markup for previous page in thread index.
`<TPREVTOPBUTTON>` |  | Button markup for first message in the previous thread.
`<TPREVTOPBUTTONIA>` |  | Inactive button markup for first message in the previous thread.
`<TPREVTOPLINK>` |  | Link markup for first message in the previous thread.
`<TPREVTOPLINKIA>` |  | Inactive link markup for first message in the previous thread.
`<TREVERSE>` `<NOTREVERSE>` |  | List thread in reverse order.
`<TSINGLETXT>` |  | Markup for a thread listing with no follow-ups.
`<TSLICE>` |  | Size of thread listing slice for message pages.
`<TSLICEBEG>` |  | Markup for the start of a thread slice.
`<TSLICECONTBEGIN>` |  | Thread slice markup before the continuation of a broken thread.
`<TSLICECONTEND>` |  | Thread slice markup after the continuation of a broken thread.
`<TSLICEEND>` |  | Markup for the end of a thread slice.
`<TSLICEINDENTBEGIN>` |  | Thread slice markup for opening a level when continuing a broken thread.
`<TSLICEINDENTEND>` |  | Thread slice markup for closing a level when continuing a broken thread.
`<TSLICELEVELS>` |  | Maximum number of levels to indent in thread slices.
`<TSLICELIEND>` |  | Ending markup for a thread slice message listing.
`<TSLICELIENDCUR>` |  | Ending markup for a thread slice message listing if current message.
`<TSLICELINONE>` |  | Thread slice markup for a missing message in thread slice.
`<TSLICELINONEEND>` |  | Ending markup for a missing message in thread slice.
`<TSLICELITXT>` |  | Markup for a thread slice message listing.
`<TSLICELITXTCUR>` |  | Markup for a thread slice message listing if current message.
`<TSLICESINGLETXT>` |  | Markup for a thread slice listing with no follow-ups.
`<TSLICESINGLETXTCUR>` |  | Markup for a thread slice listing with no follow-ups if current message.
`<TSLICESUBJECTBEG>` |  | Markup before a subject based thread slice listing.
`<TSLICESUBJECTEND>` |  | Markup after a subject based thread slice listing.
`<TSLICESUBLISTBEG>` |  | Thread slice markup for starting a sub-thread.
`<TSLICESUBLISTEND>` |  | Thread slice markup for ending a sub-thread.
`<TSLICETOPBEGIN>` |  | Thread slice markup for the root/start of a thread.
`<TSLICETOPBEGINCUR>` |  | Thread slice markup for the root/start of a thread if current message.
`<TSLICETOPEND>` |  | Thread slice markup for the end of a thread.
`<TSLICETOPENDCUR>` |  | Thread slice markup for the end of a thread if current message.
`<TSORT>` `<NOTSORT>` |  | List threads by date.
`<TSUBJECTBEG>` |  | Markup before a subject based thread listing.
`<TSUBJECTEND>` |  | Markup after a subject based thread listing.
`<TSUBLISTBEG>` |  | Markup for starting a sub-thread.
`<TSUBLISTEND>` |  | Markup for ending a sub-thread.
`<TSUBSORT>` `<NOTSUBSORT>` |  | List threads by subject.
`<TTITLE>` |  | Title of thread index.
`<TTOPBEGIN>` |  | Markup for the root/start of a thread.
`<TTOPBUTTON>` |  | Button markup for first message in thread.
`<TTOPBUTTONIA>` |  | Inactive button markup for first message in thread.
`<TTOPEND>` |  | Markup for the end of a thread.
`<TTOPLINK>` |  | Link markup for first message in thread.
`<TTOPLINKIA>` |  | Inactive link markup for first message in thread.
`<UMASK>` |  | Umask value for the MHonArc process.
`<USELOCALTIME>` `<NOUSELOCALTIME>` |  | Use local time to determine day groups in main index listing.
`<USINGLASTPG>` `<NOUSINGLASTPG>` |  | $LASTPG$ is used in resource values.
`<WEEKDAYS>` |  | Weekday names.
`<WEEKDAYSABR>` |  | Abbreviated weekday names.

## Command-Line Options

Option |  | Description
`-add` |  | Add messages to the archive.
`-addressmodifycode` |  | Perl expressions modifying displayed addresses in headers.
`-afs` |  | Skip archive directory permission check.
`-annotate` |  | Add/set annotation for message(s).
`-archive` `-noarchive` |  | Create archive.
`-attachmentdir` |  | Filesytem location of attachments.
`-attachmenturl` |  | Base URL to attachments.
`-authsort` `-noauthsort` |  | Sort main index by author.
`-checknoarchive` `-nochecknoarchive` |  | Honor "no archive" flag in messages.
`-conlen` `-noconlen` |  | Use Content-Length value.
`-datefields` |  | List of fields to extract date of message.
`-dbfile` |  | Name of archive database file.
`-dbfileperms` |  | File permissions for DBFILE.
`-decodeheads` `-nodecodeheads` |  | Store "decode-only" characters sets in raw form.
`-definevar` |  | Define a custom resource variable.
`-doc` `-nodoc` |  | Add link to documentation.
`-docurl` |  | URL to documentation
`-editidx` |  | Modify archive with new resource settings.
`-expireage` |  | Length of time to keep a message in an archive.
`-expiredate` |  | Expiration of date of message.
`-fasttempfiles` `-nofasttempfiles` |  | Use non-random temporary filenames.
`-fileperms` |  | File permissions for archive files.
`-folrefs` `-nofolrefs` |  | Print links links to explicit follow-ups and references.
`-force` |  | Force archive operation even if lock cannot be obtained.
`-fromfields` |  | List of fields to extract author of a message.
`-genidx` |  | Generate a message index to standard output.
`-gmtdatefmt` |  | Conversion specification for GMT dates.
`-gzipexe` |  | Pathname to gzip executable.
`-gzipfiles` `-nogzipfiles` |  | Gzip files.
`-gziplinks` `-nogziplinks` |  | Assume files are gzipped when creating links.
`-htmlext` |  | Extension to use for HTML files.
`-iconurlprefix` |  | Prefix for icon URLs.
`-idxfname` |  | Filename for main (first) index page.
`-idxprefix` |  | Filename prefix for multi-page main index.
`-idxsize` |  | Size of each index page.
`-keeponrmm` |  | Do not physically delete message files when message removed from archive.
`-lang` |  | Set locale.
`-localdatefmt` |  | Conversion specification for printing local date.
`-lock` `-nolock` |  | Perform a lock on the archive.
`-lockdelay` |  | Wait time between lock attempts.
`-lockfile` |  | Name of the lock file.
`-lockmethod` |  | How archive locks are done.
`-locktries` |  | Total number of time to attempt a lock before failing.
`-mailto` |  | Convert email addresses in message headers to hyperlinks.
`-mailtourl` |  | URL template to use when MAILTO is set.
`-main` |  | Create main index.
`-maxsize` |  | Maximum number of messages in an archive.
`-mhpattern` |  | Regex for matching message files in an MH folder (directory).
`-modifybodyaddresses` `-nomodifybodyaddresses` |  | Apply ADDRESSMODIFYCODE to text message bodies.
`-modtime` |  | Set modification time on message files to message dates.
`-months` |  | Month names.
`-monthsabr` |  | Abbreviated month names.
`-msgexcfilter` |  | Perl expression(s) to selectively exclude messages.
`-msggmtdatefmt` |  | GMT conversion specification for message dates.
`-msglocaldatefmt` |  | Local conversion specification for message dates.
`-msgpgs` `-nomsgpgs` |  | Print message pages.
`-msgprefix` |  | Prefix for message page filenames.
`-msgsep` |  | Regex for matching message separator in mailbox files.
`-multipg` |  | Create multi-page indexes.
`-news` |  | Hyperlink newsgroups in message headers.
`-newsurl` |  | URL template to use for newsgroup links.
`-nosubjecttxt` |  | Raw subject text to use for messages without a subject.
`-notedir` |  | Directory to store annotations.
`-notetext` |  | Annotation text.
`-otherindexes` |  | List of alternate indexes to create for an archive.
`-outdir` |  | Location of archive.
`-perlinc` |  | Additional Perl include paths.
`-posixstrftime` |  | Use POSIX's strftime() for converted time format strings.
`-printxcomments` `-noprintxcomments` |  | Print <!--X-...--> comments in generated pages.
`-quiet` |  | Do not output status.
`-rcfile` |  | Resource file to read before processing input.
`-reconvert` `-noreconvert` |  | Reconvert existing messages.
`-reverse` `-noreverse` |  | Reverse the listing order in the main index.
`-rmm` |  | Remove specified messages from an archive.
`-saveresources` `-nosaveresources` |  | Save resource values in database.
`-scan` |  | List archive messages to standard output.
`-single` |  | Process a single message.
`-sort` |  | List messages by date in main index.
`-spammode` `-nospammode` |  | Perform actions to deter email address harvesters.
`-stderr` |  | File for standard error messages.
`-stdin` |  | File to treat as standard input.
`-stdout` |  | File for standard output messages.
`-subjectarticlerxp` |  | Regex for matching leading articles in message subjects.
`-subjectreplyrxp` |  | Regex for matching subject text denoting a reply message.
`-subjectstripcode` |  | Perl expressions to strip subject text while reading messages.
`-subjectthreads` `-nosubjectthreads` |  | Check subjects when computing message threads.
`-subsort` |  | List messages by subjext in main index.
`-thread` `-nothread` |  | Create thread index.
`-tidxfname` |  | Filename of first thread index page.
`-tidxprefix` |  | Filename prefix for thread index pages beyond the first page.
`-title` |  | Title for main index.
`-tlevels` |  | Maximum number of levels to indent in thread index.
`-treverse` |  | List thread in reverse order.
`-tslice` |  | Size of thread listing slice for message pages.
`-tslicelevels` |  | Maximum number of levels to indent in thread slices.
`-tsort` `-notsort` |  | List threads by date.
`-tsubsort` `-notsubsort` |  | List threads by subject.
`-ttitle` |  | Title of thread index.
`-umask` |  | Umask value for the MHonArc process.
`-varregex` |  | Perl regular expression matching a resource variable.
`-weekdays` |  | Weekday names.
`-weekdaysabr` |  | Abbreviated weekday names.